@tool
class_name PlayerController
extends FlyerController

func _physics_process(delta: float) -> void:
	if not Engine.is_editor_hint():
		controlled_flyer.directionInput = Vector2(Input.get_axis("plane_left","plane_right"), Input.get_axis("plane_up","plane_down"))
		if InputMap.has_action("shoot_primary") and Input.is_action_pressed("shoot_primary"):
			controlled_flyer.shoot(0)
		if InputMap.has_action("shoot_secondary") and Input.is_action_pressed("shoot_secondary"):
			controlled_flyer.shoot(1)
